=== modified file 'libdrizzle/get_password.c'
--- libdrizzle/get_password.c	2008-07-09 12:31:20 +0000
+++ libdrizzle/get_password.c	2008-07-17 17:54:00 +0000
@@ -80,7 +80,6 @@
   char to[80];
   char *pos=to,*end=to+sizeof(to)-1;
   int i=0;
-  DBUG_ENTER("get_tty_password");
   _cputs(opt_message ? opt_message : "Enter password: ");
   for (;;)
   {
@@ -106,7 +105,7 @@
     pos--;					/* Allow dummy space at end */
   *pos=0;
   _cputs("\n");
-  DBUG_RETURN(my_strdup(to,MYF(MY_FAE)));
+  return(my_strdup(to,MYF(MY_FAE)));
 }
 
 #else
@@ -168,8 +167,6 @@
 #endif /* HAVE_GETPASS */
   char buff[80];
 
-  DBUG_ENTER("get_tty_password");
-
 #ifdef HAVE_GETPASS
   passbuff = getpass(opt_message ? opt_message : "Enter password: ");
 
@@ -215,6 +212,6 @@
     fputc('\n',stdout);
 #endif /* HAVE_GETPASS */
 
-  DBUG_RETURN(my_strdup(buff,MYF(MY_FAE)));
+  return(my_strdup(buff,MYF(MY_FAE)));
 }
 #endif /*__WIN__*/

=== modified file 'libdrizzle/my_time.c'
--- libdrizzle/my_time.c	2008-07-16 18:48:24 +0000
+++ libdrizzle/my_time.c	2008-07-17 17:54:00 +0000
@@ -170,8 +170,6 @@
   const uchar *format_position;
   my_bool found_delimitier= 0, found_space= 0;
   uint frac_pos, frac_len;
-  DBUG_ENTER("str_to_datetime");
-  DBUG_PRINT("ENTER",("str: %.*s",length,str));
 
   *was_cut= 0;
 
@@ -181,7 +179,7 @@
   if (str == end || ! my_isdigit(&my_charset_latin1, *str))
   {
     *was_cut= 1;
-    DBUG_RETURN(MYSQL_TIMESTAMP_NONE);
+    return(MYSQL_TIMESTAMP_NONE);
   }
 
   is_internal_format= 0;
@@ -228,7 +226,7 @@
         if (flags & TIME_DATETIME_ONLY)
         {
           *was_cut= 1;
-          DBUG_RETURN(MYSQL_TIMESTAMP_NONE);   /* Can't be a full datetime */
+          return(MYSQL_TIMESTAMP_NONE);   /* Can't be a full datetime */
         }
         /* Date field.  Set hour, minutes and seconds to 0 */
         date[0]= date[1]= date[2]= date[3]= date[4]= 0;
@@ -270,7 +268,7 @@
     if (tmp_value > 999999)                     /* Impossible date part */
     {
       *was_cut= 1;
-      DBUG_RETURN(MYSQL_TIMESTAMP_NONE);
+      return(MYSQL_TIMESTAMP_NONE);
     }
     date[i]=tmp_value;
     not_zero_date|= tmp_value;
@@ -307,7 +305,7 @@
         if (!(allow_space & (1 << i)))
         {
           *was_cut= 1;
-          DBUG_RETURN(MYSQL_TIMESTAMP_NONE);
+          return(MYSQL_TIMESTAMP_NONE);
         }
         found_space= 1;
       }
@@ -338,7 +336,7 @@
   if (found_delimitier && !found_space && (flags & TIME_DATETIME_ONLY))
   {
     *was_cut= 1;
-    DBUG_RETURN(MYSQL_TIMESTAMP_NONE);          /* Can't be a datetime */
+    return(MYSQL_TIMESTAMP_NONE);          /* Can't be a datetime */
   }
 
   str= last_field_pos;
@@ -356,7 +354,7 @@
     if (!year_length)                           /* Year must be specified */
     {
       *was_cut= 1;
-      DBUG_RETURN(MYSQL_TIMESTAMP_NONE);
+      return(MYSQL_TIMESTAMP_NONE);
     }
 
     l_time->year=               date[(uint) format_position[0]];
@@ -435,13 +433,13 @@
     }
   }
 
-  DBUG_RETURN(l_time->time_type=
+  return(l_time->time_type=
               (number_of_fields <= 3 ? MYSQL_TIMESTAMP_DATE :
                                        MYSQL_TIMESTAMP_DATETIME));
 
 err:
   bzero((char*) l_time, sizeof(*l_time));
-  DBUG_RETURN(MYSQL_TIMESTAMP_ERROR);
+  return(MYSQL_TIMESTAMP_ERROR);
 }
 
 
@@ -757,19 +755,16 @@
 {
   long delsum;
   int temp;
-  DBUG_ENTER("calc_daynr");
 
   if (year == 0 && month == 0 && day == 0)
-    DBUG_RETURN(0);				/* Skip errors */
+    return(0);				/* Skip errors */
   delsum= (long) (365L * year+ 31*(month-1) +day);
   if (month <= 2)
       year--;
   else
     delsum-= (long) (month*4+23)/10;
   temp=(int) ((year/100+1)*3)/4;
-  DBUG_PRINT("exit",("year: %d  month: %d  day: %d -> daynr: %ld",
-		     year+(month <= 2),month,day,delsum+year/4-temp));
-  DBUG_RETURN(delsum+(int) year/4-temp);
+  return(delsum+(int) year/4-temp);
 } /* calc_daynr */
 
 
@@ -1062,7 +1057,7 @@
     to[0]='\0';
     return 0;
   default:
-    DBUG_ASSERT(0);
+    assert(0);
     return 0;
   }
 }
@@ -1239,7 +1234,7 @@
   case MYSQL_TIMESTAMP_ERROR:
     return 0ULL;
   default:
-    DBUG_ASSERT(0);
+    assert(0);
   }
   return 0;
 }

=== modified file 'libdrizzle/net_serv.c'
--- libdrizzle/net_serv.c	2008-07-15 00:35:21 +0000
+++ libdrizzle/net_serv.c	2008-07-17 17:54:00 +0000
@@ -56,13 +56,12 @@
 
 bool my_net_init(NET *net, Vio* vio)
 {
-  DBUG_ENTER("my_net_init");
   net->vio = vio;
   my_net_local_init(net);			/* Set some limits */
   if (!(net->buff=(uchar*) my_malloc((size_t) net->max_packet+
 				     NET_HEADER_SIZE + COMP_HEADER_SIZE,
 				     MYF(MY_WME))))
-    DBUG_RETURN(1);
+    return(1);
   net->buff_end=net->buff+net->max_packet;
   net->error=0; net->return_status=0;
   net->pkt_nr=net->compress_pkt_nr=0;
@@ -78,16 +77,15 @@
     net->fd  = vio_fd(vio);			/* For perl DBI/DBD */
     vio_fastsend(vio);
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
 void net_end(NET *net)
 {
-  DBUG_ENTER("net_end");
   my_free(net->buff,MYF(MY_ALLOW_ZERO_PTR));
   net->buff=0;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -97,17 +95,13 @@
 {
   uchar *buff;
   size_t pkt_length;
-  DBUG_ENTER("net_realloc");
-  DBUG_PRINT("enter",("length: %lu", (ulong) length));
 
   if (length >= net->max_packet_size)
   {
-    DBUG_PRINT("error", ("Packet too large. Max size: %lu",
-                         net->max_packet_size));
     /* @todo: 1 and 2 codes are identical. */
     net->error= 1;
     net->last_errno= ER_NET_PACKET_TOO_LARGE;
-    DBUG_RETURN(1);
+    return(1);
   }
   pkt_length = (length+IO_SIZE-1) & ~(IO_SIZE-1); 
   /*
@@ -122,11 +116,11 @@
     net->error= 1;
     net->last_errno= ER_OUT_OF_RESOURCES;
     /* In the server the error is reported by MY_WME flag. */
-    DBUG_RETURN(1);
+    return(1);
   }
   net->buff=net->write_pos=buff;
   net->buff_end=buff+(net->max_packet= (ulong) pkt_length);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -179,7 +173,6 @@
 {
   size_t count;
   int32_t ready;
-  DBUG_ENTER("net_clear");
 
   if (clear_buffer)
   {
@@ -187,14 +180,8 @@
     {
       /* The socket is ready */
       if ((long) (count= vio_read(net->vio, net->buff,
-                                  (size_t) net->max_packet)) > 0)
-      {
-        DBUG_PRINT("info",("skipped %ld bytes from file: %s",
-                           (long) count, vio_description(net->vio)));
-      }
-      else
-      {
-        DBUG_PRINT("info",("socket ready but only EOF to read - disconnected"));
+                                  (size_t) net->max_packet)) <= 0)
+      {
         net->error= 2;
         break;
       }
@@ -202,7 +189,7 @@
   }
   net->pkt_nr=net->compress_pkt_nr=0;		/* Ready for new command */
   net->write_pos=net->buff;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -211,7 +198,6 @@
 bool net_flush(NET *net)
 {
   my_bool error= 0;
-  DBUG_ENTER("net_flush");
   if (net->buff != net->write_pos)
   {
     error=test(net_real_write(net, net->buff,
@@ -221,7 +207,7 @@
   /* Sync packet number if using compression */
   if (net->compress)
     net->pkt_nr=net->compress_pkt_nr;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -266,9 +252,6 @@
   buff[3]= (uchar) net->pkt_nr++;
   if (net_write_buff(net, buff, NET_HEADER_SIZE))
     return 1;
-#ifndef DEBUG_DATA_PACKETS
-  DBUG_DUMP("packet_header", buff, NET_HEADER_SIZE);
-#endif
   return test(net_write_buff(net,packet,len));
 }
 
@@ -307,8 +290,6 @@
   ulong length=len+1+head_len;			/* 1 extra byte for command */
   uchar buff[NET_HEADER_SIZE+1];
   uint header_size=NET_HEADER_SIZE+1;
-  DBUG_ENTER("net_write_command");
-  DBUG_PRINT("enter",("length: %lu", (ulong) len));
 
   buff[4]=command;				/* For first packet */
 
@@ -323,7 +304,7 @@
       if (net_write_buff(net, buff, header_size) ||
 	  net_write_buff(net, header, head_len) ||
 	  net_write_buff(net, packet, len))
-	DBUG_RETURN(1);
+	return(1);
       packet+= len;
       length-= MAX_PACKET_LENGTH;
       len= MAX_PACKET_LENGTH;
@@ -334,7 +315,7 @@
   }
   int3store(buff,length);
   buff[3]= (uchar) net->pkt_nr++;
-  DBUG_RETURN(test(net_write_buff(net, buff, header_size) ||
+  return(test(net_write_buff(net, buff, header_size) ||
                    (head_len && net_write_buff(net, header, head_len)) ||
                    net_write_buff(net, packet, len) || net_flush(net)));
 }
@@ -374,9 +355,6 @@
   else
     left_length= (ulong) (net->buff_end - net->write_pos);
 
-#ifdef DEBUG_DATA_PACKETS
-  DBUG_DUMP("data", packet, len);
-#endif
   if (len > left_length)
   {
     if (net->write_pos != net->buff)
@@ -435,7 +413,7 @@
   uint retry_count= 0;
 
   if (net->error == 2)
-    DBUG_RETURN(-1);				/* socket can't be used */
+    return(-1);				/* socket can't be used */
 
   net->reading_or_writing=2;
   if (net->compress)
@@ -450,7 +428,7 @@
       net->last_errno= ER_OUT_OF_RESOURCES;
       /* In the server, the error is reported by MY_WME flag. */
       net->reading_or_writing= 0;
-      DBUG_RETURN(1);
+      return(1);
     }
     memcpy(b+header_length,packet,len);
 
@@ -514,7 +492,7 @@
     my_free((char*) packet,MYF(0));
   net->reading_or_writing=0;
 
-  DBUG_RETURN(((int) (pos != end)));
+  return(((int) (pos != end)));
 }
 
 
@@ -580,8 +558,6 @@
       {
         bool interrupted = vio_should_retry(net->vio);
 
-        DBUG_PRINT("info",("vio_read returned %ld  errno: %d",
-                           (long) length, vio_errno(net->vio)));
         if (interrupted)
         {					/* Probably in MIT threads */
           if (retry_count++ < net->retry_count)
@@ -800,21 +776,17 @@
 
 void my_net_set_read_timeout(NET *net, uint timeout)
 {
-  DBUG_ENTER("my_net_set_read_timeout");
-  DBUG_PRINT("enter", ("timeout: %d", timeout));
   net->read_timeout= timeout;
   if (net->vio)
     vio_timeout(net->vio, 0, timeout);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
 void my_net_set_write_timeout(NET *net, uint timeout)
 {
-  DBUG_ENTER("my_net_set_write_timeout");
-  DBUG_PRINT("enter", ("timeout: %d", timeout));
   net->write_timeout= timeout;
   if (net->vio)
     vio_timeout(net->vio, 1, timeout);
-  DBUG_VOID_RETURN;
+  return;
 }

